# Bulk join script

## URL
The script is available at `<domain>/bulk_join_room/bulk_join_room.html`

## Script update
- Take the latest version of the bulk_join_room.html script from [picitujeromanov/WR-SDK](https://github.com/picitujeromanov/WR-SDK) project and copy it to this folder
- Include the persons_gifs folder too
- Build the SDK in SDK project and copy the result (content of dist folder including the min.js version) to the sdk-dist folder
- Update the bulk_join_room.html - set the route to the built sdk to `./sdk-dist/watchtogether-sdk.js`
- Do not make any other changes. It will be developed only in SDK project and copied here using these instructions

## Security
This script is publicly available and the is not name and password protected. This script is also available in SPM NPM package, so it already is publicly available

## Usage
- Open the script - `<domain>/bulk_join_room/bulk_join_room.html`
- Set the Room ID
- Click `Create users and join room`
- Disconnect all participants using the `Leave`
- If you want to rejoin participants it is required to reload the page with the script
- You can also use other options like pin hash when required but
  - Do not add more than 5 participants with less than 5000ms timeout between participants joints 
  - Do not add more than 32 participants (there are only 32 participants gifs available)
